var group__nrf__crypto__ecdsa =
[
    [ "Definitions specific to secp160r1 (NIST 160-bit)", "group__nrf__crypto__ecdsa__secp160r1.html", "group__nrf__crypto__ecdsa__secp160r1" ],
    [ "Definitions specific to secp160r2 (NIST 160-bit)", "group__nrf__crypto__ecdsa__secp160r2.html", "group__nrf__crypto__ecdsa__secp160r2" ],
    [ "Definitions specific to secp192r1 (NIST 192-bit)", "group__nrf__crypto__ecdsa__secp192r1.html", "group__nrf__crypto__ecdsa__secp192r1" ],
    [ "Definitions specific to secp224r1 (NIST 224-bit)", "group__nrf__crypto__ecdsa__secp224r1.html", "group__nrf__crypto__ecdsa__secp224r1" ],
    [ "Definitions specific to secp256r1 (NIST 256-bit)", "group__nrf__crypto__ecdsa__secp256r1.html", "group__nrf__crypto__ecdsa__secp256r1" ],
    [ "Definitions specific to secp384r1 (NIST 384-bit)", "group__nrf__crypto__ecdsa__secp384r1.html", "group__nrf__crypto__ecdsa__secp384r1" ],
    [ "Definitions specific to secp521r1 (NIST 521-bit)", "group__nrf__crypto__ecdsa__secp521r1.html", "group__nrf__crypto__ecdsa__secp521r1" ],
    [ "Definitions specific to secp160k1 (Koblitz 160-bit)", "group__nrf__crypto__ecdsa__secp160k1.html", "group__nrf__crypto__ecdsa__secp160k1" ],
    [ "Definitions specific to secp192k1 (Koblitz 192-bit)", "group__nrf__crypto__ecdsa__secp192k1.html", "group__nrf__crypto__ecdsa__secp192k1" ],
    [ "Definitions specific to secp224k1 (Koblitz 224-bit)", "group__nrf__crypto__ecdsa__secp224k1.html", "group__nrf__crypto__ecdsa__secp224k1" ],
    [ "Definitions specific to secp256k1 (Koblitz 256-bit)", "group__nrf__crypto__ecdsa__secp256k1.html", "group__nrf__crypto__ecdsa__secp256k1" ],
    [ "Definitions specific to bp256r1 (Brainpool 256-bit)", "group__nrf__crypto__ecdsa__bp256r1.html", "group__nrf__crypto__ecdsa__bp256r1" ],
    [ "Definitions specific to bp384r1 (Brainpool 384-bit)", "group__nrf__crypto__ecdsa__bp384r1.html", "group__nrf__crypto__ecdsa__bp384r1" ],
    [ "Definitions specific to bp512r1 (Brainpool 512-bit)", "group__nrf__crypto__ecdsa__bp512r1.html", "group__nrf__crypto__ecdsa__bp512r1" ],
    [ "Definitions specific to Curve25519", "group__nrf__crypto__ecdsa__curve25519.html", "group__nrf__crypto__ecdsa__curve25519" ],
    [ "nrf_crypto_ecdsa_sign_context_t", "unionnrf__crypto__ecdsa__sign__context__t.html", [
      [ "context_bp256r1", "unionnrf__crypto__ecdsa__sign__context__t.html#a1bacd9303a7c5fa672ae92df3a45204a", null ],
      [ "context_bp384r1", "unionnrf__crypto__ecdsa__sign__context__t.html#ab4da955e5a7a9de43d02694e204da413", null ],
      [ "context_bp512r1", "unionnrf__crypto__ecdsa__sign__context__t.html#a28003d6437468887ae002a4381355726", null ],
      [ "context_curve25519", "unionnrf__crypto__ecdsa__sign__context__t.html#a4398c92127cc496d0065680ced9a7ec4", null ],
      [ "context_secp160k1", "unionnrf__crypto__ecdsa__sign__context__t.html#acfa759b2df55204f238887e61e25c763", null ],
      [ "context_secp160r1", "unionnrf__crypto__ecdsa__sign__context__t.html#ab29adee45ecc995aea1c2ebf8b844d56", null ],
      [ "context_secp160r2", "unionnrf__crypto__ecdsa__sign__context__t.html#a35ae892f256c8318924a603190f0a25d", null ],
      [ "context_secp192k1", "unionnrf__crypto__ecdsa__sign__context__t.html#a81c13ee60c9f6c4a652ddce04c72139d", null ],
      [ "context_secp192r1", "unionnrf__crypto__ecdsa__sign__context__t.html#a01a1e72819cc86fe583f159534720f15", null ],
      [ "context_secp224k1", "unionnrf__crypto__ecdsa__sign__context__t.html#aab89cd588a2c9b8dfad8c4c025994a71", null ],
      [ "context_secp224r1", "unionnrf__crypto__ecdsa__sign__context__t.html#a6a2b590d228f99cc1b7234396de85eb2", null ],
      [ "context_secp256k1", "unionnrf__crypto__ecdsa__sign__context__t.html#a91be44a80d41d8ef4425ec6a669fd95d", null ],
      [ "context_secp256r1", "unionnrf__crypto__ecdsa__sign__context__t.html#a3a0070d52b798c15d49530e2b056461d", null ],
      [ "context_secp384r1", "unionnrf__crypto__ecdsa__sign__context__t.html#a8465ec0b7bf985b5b9e36b01797e7853", null ],
      [ "context_secp521r1", "unionnrf__crypto__ecdsa__sign__context__t.html#af94a3404f3cfe3a3f7ca00a2c677e939", null ]
    ] ],
    [ "nrf_crypto_ecdsa_verify_context_t", "unionnrf__crypto__ecdsa__verify__context__t.html", [
      [ "context_bp256r1", "unionnrf__crypto__ecdsa__verify__context__t.html#ae638ce49a02a7f93ee27ff0d397df9f8", null ],
      [ "context_bp384r1", "unionnrf__crypto__ecdsa__verify__context__t.html#ab4902f19db1e3ab098a291505e335fc7", null ],
      [ "context_bp512r1", "unionnrf__crypto__ecdsa__verify__context__t.html#ab7efe089780ce7731577f2f48915ed4b", null ],
      [ "context_curve25519", "unionnrf__crypto__ecdsa__verify__context__t.html#a914e84c2569f9100a1b34eba7a7bf13b", null ],
      [ "context_secp160k1", "unionnrf__crypto__ecdsa__verify__context__t.html#a765c965a629450fe5f228cddc237bd25", null ],
      [ "context_secp160r1", "unionnrf__crypto__ecdsa__verify__context__t.html#a505224d82a5bc98c2bcdfb5714debc3c", null ],
      [ "context_secp160r2", "unionnrf__crypto__ecdsa__verify__context__t.html#a85f2022311f390cc528c22ab964bac8a", null ],
      [ "context_secp192k1", "unionnrf__crypto__ecdsa__verify__context__t.html#a10db00008955e7430de7a123db69d43c", null ],
      [ "context_secp192r1", "unionnrf__crypto__ecdsa__verify__context__t.html#ac74a4a132fd28cf67367fc24e0049f5d", null ],
      [ "context_secp224k1", "unionnrf__crypto__ecdsa__verify__context__t.html#ae2cb5cb78c22c754c1cb932dca2ba616", null ],
      [ "context_secp224r1", "unionnrf__crypto__ecdsa__verify__context__t.html#a307c7a93b2aec7b03892fd963bdf65df", null ],
      [ "context_secp256k1", "unionnrf__crypto__ecdsa__verify__context__t.html#abc7432d885bcd9d974c1602efc8f39fa", null ],
      [ "context_secp256r1", "unionnrf__crypto__ecdsa__verify__context__t.html#ae881125b05f0bf087d12da4c27f639bd", null ],
      [ "context_secp384r1", "unionnrf__crypto__ecdsa__verify__context__t.html#a653ab88f3a7b7d213250ed5427efdb88", null ],
      [ "context_secp521r1", "unionnrf__crypto__ecdsa__verify__context__t.html#a8c4177dfc3dd21938e8e7221540feaca", null ]
    ] ],
    [ "NRF_CRYPTO_ECDSA_SIGNATURE_MAX_SIZE", "group__nrf__crypto__ecdsa.html#ga853551f451bfa8d5aca0cf50ba374e6b", null ],
    [ "nrf_crypto_ecdsa_signature_t", "group__nrf__crypto__ecdsa.html#ga3b35776fcaaca75d073c7067769f0445", null ],
    [ "nrf_crypto_ecdsa_sign", "group__nrf__crypto__ecdsa.html#gafb8e193cc7915dfd73958dd41f362353", null ],
    [ "nrf_crypto_ecdsa_verify", "group__nrf__crypto__ecdsa.html#ga95ef42102a235a9f78e0d6ba13d90c13", null ]
];